Системные требования к BI-серверу, серверу приложений и серверу безопасности

Ниже представлены рекомендации к аппаратному обеспечению и требования к программному обеспечению для BI-сервера, сервера приложений и сервера безопасности, выполнение которых необходимо для корректной работы через веб-сервис «Форсайт. Аналитическая платформа».

Аппаратное обеспечение

Выбор сервера во многом определяется спецификой проекта и для оценки системных требований необходимо руководствоваться результатами нагрузочного тестирования системы.

Аппаратные требования напрямую зависят от:

Продукт «Форсайт. Аналитическая платформа» поддерживает работу на серверах с процессорами с архитектурой x86-64, являющейся расширенной архитектурой x86.

Требования к каналам связи

Поддерживаемые протоколы передачи данных: HTTP / HTTPS.

Требования к каналу связи зависят от специфики проекта и предполагаемого количества одновременно работающих пользователей и определяются по результатам нагрузочного тестирования проекта.

При одновременной работе с типовым проектом 100 пользователей необходимая ширина канала для BI-сервера и сервера безопасности:

Зависимость ширины канала от количества пользователей линейная.

Программное обеспечение

 

Программное обеспечение

 

ОС семейства Windows

ОС семейства Linux

СУБД

Клиентская часть используемой СУБД.

Операционная система Поддерживаются 64-х разрядные версии ОС семейства Windows:
  • Microsoft Windows Server 2012;

  • Microsoft Windows Server 2012 R2;

  • Microsoft Windows Server 2016;

  • Microsoft Windows Server 2019.

Рекомендуется вариант OC Enterprise Edition.
Поддерживаются 64-х разрядные версии ОС семейства Linux:
  • ALT Linux;

  • Astra Linux;

  • Debian;

  • Ubuntu;

  • Red Hat Enterprise Linux.

Подробное описание поддерживаемых версий ОС Linux см. в разделе «Поддерживаемые версии ОС Linux».
Другое ПО Один из веб-серверов:
  • Internet Information Services 7.0, 7.5, 8.0, 8.5, 10;

  • Apache HTTP Server 2.4 с модулем worker.

Apache HTTP Server 2.4 с модулем worker или coworker.
ПО для визуализаторов «Плоское дерево», «Пузырьковое дерево», «Пузырьковая диаграмма» и «Карта» Графическая библиотека:
  • DirectX 11. Для корректной работы с библиотекой в ОС Windows Server 2012 установите обновление KB4019990, которое позволяет использовать библиотеку D3DCompile_47.dll, необходимую для отображения трёхмерной графики;

  • OpenGL 3.1.

Графическая библиотека:
  • Mesa 3D (установка требуется, если аппаратная часть не поддерживает технологию OpenGL).

См. также:

Системные требования | Системные требования к серверу веб-приложения | Системные требования к клиентскому окружению | Сервер безопасности | Поддерживаемые версии ОС Linux | Поддержка работы в виртуальных средах | Ограничения при работе с BI-сервером на Linux